package io.github.null2264.tsukumogami.bot

import co.touchlab.kermit.Logger
import io.github.null2264.tsukumogami.bot.core.di.appModule
import io.github.null2264.tsukumogami.bot.core.module.generalModule
import io.github.null2264.tsukumogami.core.bot

suspend fun main() {

    bot {
        Logger.setTag("Tsukumogami")

        token = System.getenv("DISCORD_TOKEN")

        prefixes("src!", "mm!") // mm! for backwards compatibility

        modules(generalModule)

        koinModules(appModule)
    }.start()
}
